Navigation

Project: wok

Clone project: hg clone http://hg.slitaz.org/wok

  • Download tarball:
  • bz2
  • gz

Search

wok changeset 14243:97c8c89c2212

lirc: remove incompatible drivers
author Pascal Bellard <pascal.bellard@slitaz.org>
date Sat Mar 23 10:06:31 2013 +0100 (17 months ago ago)
parents feea6c6d8e30
children 890ca8bf8a3a
files lirc/receipt
line diff
     1.1 --- a/lirc/receipt	Fri Mar 22 22:03:49 2013 +0100
     1.2 +++ b/lirc/receipt	Sat Mar 23 10:06:31 2013 +0100
     1.3 @@ -19,6 +19,8 @@
     1.4  compile_rules()
     1.5  {
     1.6  	cd $src
     1.7 +	
     1.8 +	sed -i '/smp_lock.h/d' drivers/lirc_atiusb/lirc_atiusb.c
     1.9  
    1.10  	# Up through at least lirc 0.8.5, lirc_gpio doesn't build with kernel 2.6.22+
    1.11  	#echo "Disabling build of drivers/lirc_gpio due to kernel incompatibility"
    1.12 @@ -30,6 +32,14 @@
    1.13  	sed -i -e "s:lirc_parallel\.o::" drivers/lirc_parallel/Makefile.am
    1.14  	sed -i -e "s:lirc_parallel\.o::" drivers/lirc_parallel/Makefile.in
    1.15  
    1.16 +	echo "Disabling build of drivers/lirc_i2c due to kernel 2.6.38+ incompatibility"
    1.17 +	sed -i -e "s:lirc_i2c\.o::" drivers/lirc_i2c/Makefile.am
    1.18 +	sed -i -e "s:lirc_i2c\.o::" drivers/lirc_i2c/Makefile.in
    1.19 +
    1.20 +	echo "Disabling build of drivers/lirc_wpc8769l due to kernel incompatibility"
    1.21 +	sed -i -e "s:lirc_wpc8769l\.o::" drivers/lirc_wpc8769l/Makefile.am
    1.22 +	sed -i -e "s:lirc_wpc8769l\.o::" drivers/lirc_wpc8769l/Makefile.in
    1.23 +
    1.24  	KERNEL_VERSION=`grep  ^VERSION= $WOK/linux/receipt | cut -d "=" -f2 | sed -e 's/"//g'`
    1.25  	sed -i "s/uname -r/echo $KERNEL_VERSION-slitaz/g" configure
    1.26  
    1.27 @@ -40,8 +50,8 @@
    1.28  		--with-kerneldir=/usr/src/linux \
    1.29  		--with-moduledir=/lib/modules/$KERNEL_VERSION-slitaz/kernel/misc \
    1.30  		$CONFIGURE_ARGS &&
    1.31 -	make | sed s/ERROR/Error/ &&
    1.32 -	make DESTDIR=$DESTDIR install
    1.33 +	make 2>&1 | sed 's/ERROR/Error/;/lirc_dev\/Module/d' &&
    1.34 +	make DESTDIR=$DESTDIR install 2>&1 | sed '/depmod:/d'
    1.35  }
    1.36  
    1.37  # Rules to gen a SliTaz package suitable for Tazpkg.